<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" />
<jsp:directive.include file="/jsp/custom/result_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GF7206"
	title	= "折線"
	date	= "2012/05/09"
	author	= "S.Li"
	text	= ""
	version	= "001"
/>

<!-- 入力チェック -->
<og:columnCheck
	command   = "{@command}"
/>

<og:chartCreate
	title			= "{@chartType}"
	width			= "1200"
	height			= "600"
	plotOrientation		= "{@plotOrientation}"
	dateAxisFormat		= "{@dateAxisFormat}"
	useVerticalLabels	= "{@useVerticalLabels}"
	dateSegSize			= "{@dateSegSize}"
	dateSegIncluded		= "{@dateSegIncluded}"
	dateSegExcluded		= "{@dateSegExcluded}"
	dateStartTime		= "{@dateStartTime}"
>
	<og:chartDataset
		chartType	= "{@chartType}"
		itemLabelVisible="true"
	>
			SELECT	'X'
					,DYUPD AS TIM
	--				,substr(DYUPD,1,8) AS TIM
	--				,'20170101' || substr(DYUPD,9,14) AS TIM
	--				,AVG(UNIQ)         AS VAL
					,AVG(UNIQ) * 2 * DBMS_RANDOM.VALUE as RAND1	<!-- 乱数倍 -->
	--				,AVG(UNIQ) * 2 * DBMS_RANDOM.VALUE as RAND2	<!-- 乱数倍 -->
			FROM GF41
			where DYUPD is not null
	--		and  rownum &lt; 200
	--		group by substr(DYUPD,1,8)
			group by DYUPD
			order by 2
	</og:chartDataset>
</og:chartCreate>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
